## probcons 1.12

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #    c) RELEASE mode
 ################################################################################
 
-OTHERFLAGS = -DNumInsertStates=2 -DVERSION="1.11"
+OTHERFLAGS = -DNumInsertStates=2 -DVERSION="1.12"
 
 # debug mode    
 #CXXFLAGS = -g -W -Wall -pedantic -DENABLE_CHECKS -fno-inline $(OTHERFLAGS)
