=== debian/changelog ===
probcons (1.12-10) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * DEP5 fix
  * DEP3 fix
  * Propagate hardening options
  * spelling in manpage
  * Fix Mayhem bugs
    Closes: #716581, #716505

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2015 21:23:03 +0100

probcons (1.12-9) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/upstream: Moved DOI+PMID to references
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
  * debian/copyright: Uhmm, this package had no copyright file at all!
  * debian/README.source: deleted redundant handling advises for quilt
  * debian/{compat,control}: debhelper 9

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 22:19:58 +0200

probcons (1.12-8) unstable; urgency=low

  * Standards-Version: 3.9.2 (no changes needed)
  * debian/patches/fix-gcc-4.6.patch: Fix gcc-4.6 build issue
    Closes: #625036

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2011 17:18:09 +0200

probcons (1.12-7) unstable; urgency=low

  * Use dh for debian/rules, which will also switch off parallel building
    (Closes: #607729, #608710).
  * Switch to Debhelper 8 (debian/control, debian/compat).

 -- Charles Plessy <plessy@debian.org>  Tue, 04 Jan 2011 06:57:45 +0900

probcons (1.12-6) unstable; urgency=low

  * Use proper C++ headers to fix gcc version 4.3 and higher
    issues (thanks for the patch to Matthias Klose)
    Closes: 607728

 -- Andreas Tille <tille@debian.org>  Tue, 21 Dec 2010 21:53:42 +0100

probcons (1.12-5) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control: Enhances: t-coffee.
  * Updated my email address.

  [ David Paleino ]
  * debian/control:
    - bumped Standards-Version to 3.8.0
      + enabled parallel building in debian/rules
    - removed myself from Uploaders (will work from behind the scenes ;) )
    - updated debhelper dependency on >= 6 (also debian/compat)

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream-metadata.yaml’.
  * Removed mention of the bibliographic reference in ‘debian/control’.

  [ Andreas Tille ]
  * Added myself to uploaders
  * Make sure Dm-Uploader-Allowed is lower case
    Closes: #601509
  * Standards-Version: 3.9.1 (no changes needed)
  * Debhelper >= 7
    -> debian/rules: s/dh_clean -k/dh_prep/
  * Source-Format 3.0 (quilt)
  * debian/README.source

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2010 13:22:35 +0100

probcons (1.12-4) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control:
    - Moved the Homepage: field out from the package's description.
    - Allowed upload by Debian Maintainers.
    - Checked the compliance with Policy 3.7.3
  * debian/patches:
    - swiched to quilt
    - added a fix to build with GCC 4.3 (Closes: #455625)
  * debian/rules:
    - modify Main-RNA.cc so that it uses Defaults-RNA.h (Closes: #458926)
  * debian/copyright:
    - converted to machine-readable format.

  [ David Paleino ]
  * debian/probcons.1, debian/probcons-RNA.1, debian/pc-compare.1,
    debian/pc-makegnuplot.1, debian/pc-project.1 added - these
    have been statically built.
  * debian/control:
    - B-D updated
    - added myself to Uploaders
  * debian/rules:
    - manpages statically built
    - minor changes

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Fri, 04 Jan 2008 16:53:23 +0100

probcons (1.12-3) unstable; urgency=low

  * Fixed typos which caused incomplete cleaning (Closes: #424301).
  * Fixed double-building of binaries and manpages.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 16 May 2007 09:35:25 +0900

probcons (1.12-2) unstable; urgency=low

  * Corrected an error in the build rules making probcons-RNA, which
    prevented it to benefit from the fixes on probcons.
    (Closes: #417482) (again!)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 18 Apr 2007 22:34:51 +0900

probcons (1.12-1) unstable; urgency=low

  * New upstream release, buildable with gcc 4.3 (Closes: #417482)
  * Add Subversion repository URL to debian/control.
  * Including /usr/share/dpatch/dpatch.make in debian/rules.
  * Updated manpages using the template of docbook-xsl 1.71.0.dfsg.1-1.1.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed,  4 Apr 2007 09:56:46 +0900

probcons (1.11-1) unstable; urgency=low

  * New upstream release fixing a bug with conflict between --annot and -a
    options.
  * Mended the watch file in the source package.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 14 Feb 2007 23:15:36 +0900

probcons (1.10-1) unstable; urgency=low

  * Initial release Closes: #365499

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed,  3 May 2006 09:20:57 +0900
