=== debian/control ===
Source: probcons
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/probcons/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/probcons/trunk/
Homepage: http://probcons.stanford.edu/

Package: probcons
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: probcons-extra
Enhances: t-coffee
Description: PROBabilistic CONSistency-based multiple sequence alignment
 Tool for generating multiple alignments of protein sequences. Using a
 combination of probabilistic modeling and consistency-based alignment
 techniques, PROBCONS has achieved the highest accuracies of all alignment
 methods to date. On the BAliBASE benchmark alignment database, alignments
 produced by PROBCONS show statistically significant improvement over current
 programs, containing an average of 7% more correctly aligned columns than
 those of T-Coffee, 11% more correctly aligned columns than those of CLUSTAL W,
 and 14% more correctly aligned columns than those of DIALIGN.

Package: probcons-extra
Architecture: any
Priority: extra
Depends: probcons (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gnuplot-nox | gnuplot-x11
Description: Extra programs from the probcons package
 Contains the convert, project and makgnuplot programs from the probcons
 package, which have been renamed to pc-compare, pc-project and pc-makegnuplot
 respectively to avoid collisions with other program names. These programs are
 mostly useful for testing purposes and are not required for the normal usage of
 Probcons.
 .
 Probcons is a tool for generating multiple alignments of protein
 sequences.
