=== debian/watch ===
version=3
http://probcons.stanford.edu/download.html probcons_v(\d+)_(\d+)\.tar\.gz
